unit Handle;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, RS232_Handle, Buttons;

type
  TCOMHandleForm = class(TForm)
    GroupBox1: TGroupBox;
    ChooseCOM: TComboBox;
    DirectGroup: TGroupBox;
    TxDbtn: TBitBtn;
    RTSbtn: TBitBtn;
    DTRbtn: TBitBtn;
    procedure TxDbtnClick(Sender: TObject);
    procedure RTSbtnClick(Sender: TObject);
    procedure DTRbtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ChooseCOMChange(Sender: TObject);
  private
    { Private declarations }
    TxDstat, RTSstat, DTRstat : boolean;
  public
    { Public declarations }
  end;

var
  COMHandleForm: TCOMHandleForm;

implementation

{$R *.DFM}

procedure TCOMHandleForm.TxDbtnClick(Sender: TObject);
begin
  TxDstat:= not TxDstat;
  Write_TxD(TxDstat);
  case TxDstat of
    true: TxDbtn.Font.Color:= clRed;
    false:TxDbtn.Font.Color:= clBlack;
  end;
end;

procedure TCOMHandleForm.RTSbtnClick(Sender: TObject);
begin
  RTSstat:= not RTSstat;
  Write_RTS(RTSstat);
  case RTSstat of
    true: RTSbtn.Font.Color:= clRed;
    false:RTSbtn.Font.Color:= clBlack;
  end;
end;

procedure TCOMHandleForm.DTRbtnClick(Sender: TObject);
begin
  DTRstat:= not DTRstat;
  Write_DTR(DTRstat);
  case DTRstat of
    true: DTRbtn.Font.Color:= clRed;
    false:DTRbtn.Font.Color:= clBlack;
  end;
end;

procedure TCOMHandleForm.FormCreate(Sender: TObject);
begin
  PBA:= 0;
end;

procedure TCOMHandleForm.ChooseCOMChange(Sender: TObject);
begin
  If ChooseCOM.text ='COM 1' then PBA:= COM1;
  If ChooseCOM.text ='COM 2' then PBA:= COM2;
  If ChooseCOM.text ='COM 3' then PBA:= COM3;
  If ChooseCOM.text ='COM 4' then PBA:= COM4;
  If PBA<>0 then begin
    TxDbtn.Enabled:= true;
    RTSbtn.Enabled:= true;
    DTRbtn.Enabled:= true;
  end;
end;

end.
